MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004297ATutorEnrollmentpublic2010-05-19 06:312010-09-22 11:52
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0004297: "Enrol me" link not work
DescriptionOn "browse course" page, "enrol me" link takes user to "my start page" and nothing enrolled.

Should also test "unenroll" link.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004306)
cindy (administrator)
2010-06-02 09:29

SVN revision: 9968

Solution:
1. Only display "enroll me" link if the user is not the course owner and is not enrolled.
2. add $_user_location = "users" into "enroll.php" so that it can be accessed out of a course.

Affected scripts:
enroll.php
include/html/browse.inc.php
themes/default/users/browse.tmpl.php

- Issue History
Date Modified Username Field Change
2010-05-19 06:31 cindy New Issue
2010-05-19 06:31 cindy Affects version => SVN
2010-06-02 09:29 cindy Status new => resolved
2010-06-02 09:29 cindy Fixed in Version => 2.0
2010-06-02 09:29 cindy Resolution open => fixed
2010-06-02 09:29 cindy Assigned To => cindy
2010-06-02 09:29 cindy Note Added: 0004306
2010-09-22 11:52 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker